Bug 1908888 - Dualstack does not work with multiple gateways [NEEDINFO]
Summary: Dualstack does not work with multiple gateways
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Networking
Version: 4.7
Hardware: Unspecified
OS: Unspecified
urgent
urgent
Target Milestone: ---
: 4.7.0
Assignee: Ricardo Carrillo Cruz
QA Contact: Anurag saxena
URL:
Whiteboard:
: 1911855 (view as bug list)
Depends On:
Blocks: 1936365
TreeView+ depends on / blocked
 
Reported: 2020-12-17 19:43 UTC by Tim Rozet
Modified: 2021-10-05 02:15 UTC (History)
8 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
: 1936365 (view as bug list)
Environment:
Last Closed: 2021-02-24 15:46:26 UTC
Target Upstream Version:
anusaxen: needinfo? (ricarril)


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github openshift ovn-kubernetes pull 407 0 None closed Bug 1908888: Check IP family for exgws 2021-02-19 09:07:08 UTC
Red Hat Product Errata RHSA-2020:5633 0 None None None 2021-02-24 15:46:50 UTC

Description Tim Rozet 2020-12-17 19:43:37 UTC
Description of problem:
We currently do not check the ip family type between the gateway and the pods in the affected namespace. We need to add routes according to ip types. Additionally we need to ensure that if a pod in a multi-gw namespace only has routes for a single ip family type, we need to reject traffic from the other type. This will stop traffic from leaking to the cluster's default gw.

https://github.com/ovn-org/ovn-kubernetes/issues/1835

Comment 1 Alexander Constantinescu 2021-01-04 16:14:49 UTC
*** Bug 1911855 has been marked as a duplicate of this bug. ***

Comment 3 Ricardo Carrillo Cruz 2021-01-11 15:29:04 UTC
I'm working on it, will have it this week, as code freeze is this Friday.

Comment 4 Ricardo Carrillo Cruz 2021-01-11 23:21:31 UTC
https://github.com/ovn-org/ovn-kubernetes/pull/1944/files

Comment 15 errata-xmlrpc 2021-02-24 15:46:26 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (Moderate: OpenShift Container Platform 4.7.0 security, bug fix, and enhancement update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2020:5633


Note You need to log in before you can comment on or make changes to this bug.